import request from '@/utils/request'

// 查询质量月报S1301列表
export function listS1301(query) {
  return request({
    url: '/production/s1301/list',
    method: 'get',
    params: query
  })
}

// 查询质量月报S1301详细
export function getS1301(id) {
  return request({
    url: '/production/s1301/' + id,
    method: 'get'
  })
}

// 新增质量月报S1301
export function addS1301(data) {
  return request({
    url: '/production/s1301',
    method: 'post',
    data: data
  })
}

// 修改质量月报S1301
export function updateS1301(data) {
  return request({
    url: '/production/s1301',
    method: 'put',
    data: data
  })
}

// 删除质量月报S1301
export function delS1301(id) {
  return request({
    url: '/production/s1301/' + id,
    method: 'delete'
  })
}

// 导出质量月报S1301
export function exportS1301(query) {
  return request({
    url: '/production/s1301/export',
    method: 'get',
    params: query
  })
}